%define name xsane
%define version 0.79
%define release 5mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Xsane is a frontend for the SANE scanner interface.
Group:		Graphics
URL:		http://www.xsane.org/
Source:		http://www.xsane.org/download/%name-%version.tar.bz2
Source1:	xsane-16x16.xpm.bz2 
Source2:	xsane.ru.po.bz2
License:	GPL
Requires:	sane >= 1.0.4
BuildRequires:	gimp-devel libjpeg-devel libpng-devel libsane-devel libusb-devel
Buildroot:	%_tmppath/%name-%version-%release-root

%description
XSane is an X based interface for the SANE (Scanner Access Now Easy)
library, which provides access to scanners, digital cameras, and other
capture devices.  XSane is written in GTK+ and provides control for
performing the scan and then manipulating the captured image.

You may install xsane-gimp if you want the GIMP plug-in.

%package gimp
Summary: 	A GIMP plug-in which provides the SANE scanner interface.
Group: 		Graphics
Requires: 	sane >= 1.0, %{name} = %{version}, gimp
 
%description gimp
This package provides the regular XSane frontend for the SANE scanner
nterface, but it works as a GIMP plug-in.  You must have GIMP
installed to use this package.


%prep
%setup -q 
bzcat %{SOURCE2} > po/ru.po

%build
perl -pi -e 's#ALL_LINGUAS="cs de fr sl sv it ja tr"#ALL_LINGUAS="cs de fr sl sv it ja tr ru"#' configure
%configure --with-install-root=%{buildroot} 
perl -pi -e 's#LDFLAGS  =  -L/usr/lib -Wl,-rpath,/usr/lib#LDFLAGS  =  -L/usr/lib -Wl#' src/Makefile
%make
mv src/xsane src/xsane-gimp

make clean
perl -pi -e 's#ALL_LINGUAS="cs de fr sl sv it ja tr"#ALL_LINGUAS="cs de fr sl sv it ja tr ru"#' configure
%configure --with-install-root=%{buildroot} --disable-gimp
perl -pi -e 's#LDFLAGS  =  -L/usr/lib -Wl,-rpath,/usr/lib#LDFLAGS  =  -L/usr/lib -Wl#' src/Makefile
%make

%install
%makeinstall

install src/xsane-gimp %{buildroot}%{_bindir}

%find_lang %{name}

mkdir -p %{buildroot}/{%{_iconsdir}/{large,mini},%{_menudir}}
install -m 644 src/xsane-32x32.xpm %{buildroot}/%{_iconsdir}/xsane.xpm
install -m 644 src/xsane-48x48.xpm %{buildroot}/%{_iconsdir}/large/xsane.xpm
bzcat  %{SOURCE1} > %{buildroot}/%{_iconsdir}/mini/xsane.xpm

cat > $RPM_BUILD_ROOT/%{_menudir}/xsane << EOF
?package(%{name}):\
command="/usr/bin/xsane"\
icon="xsane.xpm"\
needs="X11"\
section="Multimedia/Graphics"\
title="XSane"\
longtitle="Xsane is a frontend for the scanner program sane"
EOF

# dynamic desktop support

%define launchers /etc/dynamic/launchers/scanner

mkdir -p $RPM_BUILD_ROOT%launchers
cat > $RPM_BUILD_ROOT%launchers/%name.desktop << EOF
[Desktop Entry]
Name=XSane \$device
Comment=XSane
Exec=/usr/bin/xsane \$device
Terminal=false
Icon=xsane.xpm
Type=Application
EOF

%clean
rm -fr %buildroot

%files -f %{name}.lang
%defattr(-,root,root)
%doc xsane*
%config(noreplace) %launchers/%name.desktop
%_bindir/xsane
%dir %_datadir/sane
%_datadir/sane/*
%_mandir/man1/*
%_menudir/*
%_iconsdir/*

%post
%update_menus

update-alternatives --install %{launchers}/kde.desktop scanner.kde.dynamic %launchers/%name.desktop 30
update-alternatives --install %{launchers}/gnome.desktop scanner.gnome.dynamic %launchers/%name.desktop 30

%postun
%update_menus

if [ $1 = 0 ]; then
  update-alternatives --remove scanner.kde.dynamic %launchers/%name.desktop
  update-alternatives --remove scanner.gnome.dynamic %launchers/%name.desktop
fi

%files gimp
%defattr(-,root,root)
%{_bindir}/xsane-gimp

%post gimp
if [ -d /usr/lib/gimp ]; then
  GIMPDIR=`ls -d /usr/lib/gimp/[01]*`
  [ -z "$GIMPDIR" ] && exit 0
  for i in $GIMPDIR;do
  [ -d $i ] || mkdir -p $i
  %{__ln_s} -f /usr/bin/xsane-gimp $i/plug-ins/xsane
  done
fi
 
%postun gimp
if [ $1 = 0 ]; then
  if [ -d /usr/lib/gimp ]; then
    GIMPDIR=`ls -d /usr/lib/gimp/[01]*`
        [ -z "$GIMPDIR" ] && exit 0
        for i in $GIMPDIR;do
    [ -d $i ] || mkdir -p $i
    %{__rm} -f $i/plug-ins/xsane
        done
  fi
fi

%changelog
* Wed Sep 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.79-5mdk
- added dynamic desktop entry

* Thu Aug 23 2001 Yves Duret <yduret@mandrakesoft.com> 0.79-4mdk
- final (i hope this time!) russian translation by John Profic <profic@lrn.ru>

* Thu Aug 16 2001 Yves Duret <yduret@mandrakesoft.com> 0.79-3mdk
- complete russian translation by John Profic <profic@lrn.ru>

* Tue Aug 14 2001 Yves Duret <yduret@mandrakesoft.com> 0.79-2mdk
- added ru translation from John Profic <profic@lrn.ru>

* Tue Jul 24 2001 Yves Duret <yduret@mandrakesoft.com> 0.79-1mdk
- version 0.79

* Mon Jul 23 2001 Stefan van der Eijk <stefan@eijk.nu> 0.78-3mdk
- BuildRequires:	libjpeg-devel libpng-devel libusb-devel
- Remove BuildRequires: gtk+

* Thu Jul 19 2001 Yves Duret <yduret@mandrakesoft.com> 0.78-2mdk
- corrected gimp dependencies
- removed rpath

* Sun Jun 10 2001 Yves Duret <yduret@mandrakesoft.com> 0.78-1mdk
- version 0.78 : some new features and bug fixes
   * scan & mail
   * function (pirate icon) to delete preview image cache
   * ...
   
* Sun Jun  3 2001 Yves Duret <yduret@mandrakesoft.com> 0.77-3mdk
- added xsane-gimp package. registerd itself as a gimp plug-in
- added menu & icons entries

* Mon May 28 2001 Yves Duret <yduret@mandrakesoft.com> 0.77-2mdk
- corrected BuildRequires tag

* Fri May 25 2001 Yves Duret <yduret@mandrakesoft.com> 0.77-1mdk
- version 0.77 : mainly  bug fixes

* Tue May  1 2001 Yves Duret <yduret@mandrakesoft.com> 0.76-1mdk
- version 0.76

* Tue Apr 24 2001 Yves Duret <yduret@mandrakesoft.com> 0.75-1mdk
- updated to version 0.75
- put back gimp plug-in

* Tue Mar 13 2001 Yves Duret <yduret@mandrakesoft.com> 0.72-1mdk
- use spec file from cvs since SRPMS disappear
- updated to version 0.72
- spec clean up
- fix buildRequires
- URL: tag updated
- added the local l10n files

* Sun Jan 07 2001 David BAUDENS <baudens@mandrakesoft.com> 0.69-2mdk
- Fix buildRequires
- Fix Requires
- Clean %%files section
- Spec clean up

* Mon Jan 01 2001 Daouda Lo <daouda@mandrakesoft.com> 0.69-1mdk
- release 

* Mon Dec 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.68-1mdk
- updated to 0.68

* Fri Dec 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.65-1mdk
- updated to 0.65

* Mon Nov 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.64-1mdk
- new and shiny version.

* Fri Nov 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.63-1mdk
- new and shiny version.

* Sat Jul 15 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.60-1mdk
- new version
- macrosifications

* Thu May 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.57-2mdk
- fix group

* Thu Mar 16 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- first release for mandrake
